::-------------------------------------------------------------
:: Thanks an JOG fr den Installer
::-------------------------------------------------------------

:: Titelzeile beim Start der Batchdatei
@set titel=Stummer Alrik MOD v1.00

:: Verzeichnis in dem sich die SQL-Dateien befinden
@Set mod=Stummer_Alrik

:: Dateinamen-Anhngsel fr die Backup-Kopie
@set backup=.stummer_alrik.bak

:: Dateinamen der SQL Dateien
@Set static_sql=stummer_alrik_static.db4.sql
@Set locale_sql=stummer_alrik_locale.db4.sql
@Set game_sql=stummer_alrik_game.db4.sql

::--------------------------------------------------------------
:: Ab hier muss nichts mehr gendert werden
::--------------------------------------------------------------

@echo off
if ?%1? == ??? goto Error
echo == Installiere %titel% ==
echo.

set pfad=%1
if ?%pfad%?==?? set pfad=.
if not exist %pfad%\export\db\static.db4 FOR /F "tokens=2* " %%A IN ('REG QUERY "HKLM\Software\DTP\Drakensang_TRoT" /v target_folder') DO SET Pfad="%%B"
if not exist %pfad%\export\db\static.db4 FOR /F "tokens=2* " %%A IN ('REG QUERY "HKLM\Software\Wow6432Node\DTP\Drakensang_TRoT" /v target_folder') DO SET Pfad="%%B"
if not exist %pfad%\export\db\static.db4 goto Error

if not ?%1?==?? set version=Demo
if "%version%"=="" FOR /F "tokens=2* " %%A IN ('REG QUERY "HKLM\Software\DTP\Drakensang_TRoT" /v version') DO SET version=%%B
if "%version%"=="" FOR /F "tokens=2* " %%A IN ('REG QUERY "HKLM\Software\Wow6432Node\DTP\Drakensang_TRoT" /v version') DO SET version=%%B
Echo AFDZ Version: %version% 
Echo Datenbank-Verzeichnis:
Echo %pfad%
echo.
echo.
echo Erstelle Backups und installiere Modifikationen...
echo.

if "%static_sql%" == "" goto locale
if not exist %pfad%\export\db\static.db4.(%version%)%backup% copy %pfad%\export\db\static.db4 %pfad%\export\db\static.db4.(%version%)%backup%
echo Aktualisiere static.db4...
echo (%pfad%\export\db\static.db4)
%mod%\sqlite3 %pfad%\export\db\static.db4<%mod%\%static_sql%
echo.

:locale
if "%locale_sql%" == "" goto game
if not exist %pfad%\export\db\locale.db4.(%version%)%backup% copy %pfad%\export\db\locale.db4 %pfad%\export\db\locale.db4.(%version%)%backup%
echo Aktualisiere locale.db4...
echo (%pfad%\export\db\locale.db4)
%mod%\sqlite3 %pfad%\export\db\locale.db4<%mod%\%locale_sql%
echo.

:game
if "%game_sql%" == "" goto icons
if not exist %pfad%\export\db\game.db4.(%version%)%backup% copy %pfad%\export\db\game.db4 %pfad%\export\db\game.db4.(%version%)%backup%
echo Aktualisiere game.db4...
echo (%pfad%\export\db\game.db4)
%mod%\sqlite3 %pfad%\export\db\game.db4<%mod%\%game_sql%
echo.

:icons
echo Kopiere neue Icons und weitere Dateien
xcopy textures %pfad%\export\textures /D /I /E
if not exist %pfad%\export\textures\icons\recipe_alc_alkohol.dds goto Copyfehler
echo.
goto done

:done
echo.
echo.
echo Hinweis: Es muss ein neues Spiel begonnen werden um den
echo Stummen Alrik zu finden. Oder du wendest den Savegamepatch
echo an, um Alrik auch in ein laufendes Spiel einzubinden.
echo.
echo Rueckmeldungen unter http://forum.dtp-entertainment.com
echo sind immer willkommen.
echo.
echo Vielen Dank an http://sqlite.org und deren Team
echo.
echo Vielen Dank auch an die Betatester:
echo 1r0n1mUs, Angro, ali96, Backfisch, Christian, Rodario, 
echo Ruppi, TazmanDevil und TomKyle.
echo.
Echo Modifikation abgeschlossen.
echo.
if ?%1?==?? pause
goto :eof

:Error
Echo.
Echo =========================================================
Echo  FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER
Echo =========================================================
Echo Der Pfad zur Datei "AFDZ\export\db\static.db4"
Echo konnte nicht aus der Registry ausgelesen werden!
Echo.
Echo Zur Installation bitte alle Dateien und Ordner des Mods
Echo manuell in den Installationsordner von "AFDZ" kopieren,
Echo und "Installieren.bat" in diesem Ordner erneut starten.
Echo =========================================================
echo.
if ?%1?==?? pause
goto :eof

:Copyfehler 
Echo.
Echo =========================================================
Echo  FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER FEHLER
Echo =========================================================
Echo Vermutlich konnten die notwendigen Icons mangels
Echo Schreibrechten im Programmeordner nicht kopiert werden. 
Echo.
Echo Diese 28 Dateien muessen nun manuell in den Ornder
Echo "AFDZ\export\textures\icons\" kopiert werden.
echo Weiter Hinweise findest du in der Bitte-lesen-Datei.
Echo =========================================================
echo.
pause


